def lunar_addition(a, b):
    a, b = str(a), str(b)
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    
    result = ''.join([str(max(int(x), int(y))) for x, y in zip(a, b)])
    return result

def lunar_multiplication(a, b):
    a, b = str(a), str(b)
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    
    result = ''.join([str(min(int(x), int(y))) for x, y in zip(a, b)])
    return result

a = input().strip()
b = input().strip()

sum_result = lunar_addition(a, b)
product_result = lunar_multiplication(a, b)

print(sum_result)
print(product_result)
